## libptypes 2.1.0-1osso2

=== Makefile ===
#
#
#  C++ Portable Types Library (PTypes)
#  Version 2.1.0  Released 15-May-2007
#
#  Copyright (C) 2001-2007 Hovik Melikyan
#
#  http://www.melikyan.com/ptypes/
#
#
#
# Makefile for all Unix platforms, places the library in lib/,
# the shared library in so/. Also builds the test program 
# src/ptypes_test and the sample program bin/wshare.
#

UMAKEFILE=Makefile.`uname|sed 's|/|_|;s|-.*||'`

all:
	cd src ; make -f $(UMAKEFILE) all
	cd wshare ; make -f $(UMAKEFILE) all

clean:
	cd src ; make -f $(UMAKEFILE) clean
	cd wshare ; make -f $(UMAKEFILE) clean

clean-src:
	cd src ; make -f $(UMAKEFILE) clean-src
	cd wshare ; make -f $(UMAKEFILE) clean-src

install:
	cd src ; make -f $(UMAKEFILE) install

uninstall:
	cd src ; make -f $(UMAKEFILE) uninstall

=== debian/changelog ===
libptypes (2.1.0-1osso2) unstable; urgency=low

  * Fixes: NB#96050.

 -- Hannu Mallat <hannu.mallat@nokia.com>  Thu,  8 Jan 2009 15:09:58 +0300

libptypes (2.1.0-1osso1) unstable; urgency=low

  * Initial Release.

 -- Hannu Mallat <hannu.mallat@nokia.com>  Mon, 28 May 2007 13:12:02 +0300

=== debian/control ===
Source: libptypes
Section: libs
Priority: optional
Maintainer: Hannu Mallat <hannu.mallat@nokia.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: libptypes-dev
Section: devel
Architecture: any
Depends: libptypes (= ${Source-Version})
Description: A simple alternative to STL
 PTypes (C++ Portable Types Library) is a simple alternative to the
 STL that includes multithreading and networking. It defines dynamic
 strings, variants, character sets, lists and other basic data types
 along with portable thread and synchronization objects, IP sockets
 and named pipes. Its main `target audience' is developers of complex
 network daemons, robots or non-visual client/server applications of
 any kind.
 .
 Install this package if you wish to develop your own programs using
 PTypes.

Package: libptypes
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: A simple alternative to STL
 PTypes (C++ Portable Types Library) is a simple alternative to the
 STL that includes multithreading and networking. It defines dynamic
 strings, variants, character sets, lists and other basic data types
 along with portable thread and synchronization objects, IP sockets
 and named pipes. Its main `target audience' is developers of complex
 network daemons, robots or non-visual client/server applications of
 any kind.
 .
 This package contains the dynamic library needed by applications
 using PTypes.

Package: libptypes-dbg
Section: libs
Architecture: any
Depends: libptypes (= ${Source-Version})
Recommends: libptypes-dev
Description: A simple alternative to STL
 PTypes (C++ Portable Types Library) is a simple alternative to the
 STL that includes multithreading and networking. It defines dynamic
 strings, variants, character sets, lists and other basic data types
 along with portable thread and synchronization objects, IP sockets
 and named pipes. Its main `target audience' is developers of complex
 network daemons, robots or non-visual client/server applications of
 any kind.
 .
 Install this package if you wish to develop your own programs using
 PTypes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
#version=2.1.0
#major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
version=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install --sourcedir=debian/tmp 
	dh_link
	dh_strip --dbg-package=libptypes
	dh_compress
	dh_fixperms
	dh_makeshlibs -V"libptypes (>= 2.1.0-1osso1)" -plibptypes 
	dh_installdeb -a
	dh_shlibdeps -V -a 
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
